JspCompilerAdapter (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.jsp.compilers.JspCompilerAdapter interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.jsp.compilers
Interface JspCompilerAdapter

All Known Implementing Classes:
  DefaultJspCompilerAdapter

public interface JspCompilerAdapter

The interface that all jsp compiler adapters must adher to.

A compiler adapter is an adapter that interprets the jspc's parameters in preperation to be passed off to the compier this adapter represents. As all the necessary values are stored in the Jspc task itself, the only thing all adapters need is the jsp task, the execute command and a parameterless constructor (for reflection).

Author:
  Jay Dickon Glanville jayglanville@home.com, Matthew Watson mattw@i3sp.com

Method Summary
`JspMangler` | `createMangler()`
`boolean` | `execute()` Executes the task.
`boolean` | `implementsOwnDependencyChecking()` ask if compiler can sort out its own dependencies
`void` | `setJspc(JspC attributes)` Sets the compiler attributes, which are stored in the Jspc task.

Method Detail

### setJspc

    public void setJspc(JspC attributes)

  Sets the compiler attributes, which are stored in the Jspc task.

### execute

    public boolean execute()
                    throws BuildException

  Executes the task.

  Returns:
    has the compilation been successful
  Throws:
    `BuildException`

### createMangler

    public JspMangler createMangler()

  Returns:
    an instance of the mangler this compiler uses

### implementsOwnDependencyChecking

    public boolean implementsOwnDependencyChecking()

  ask if compiler can sort out its own dependencies

  Returns:
    true if the compiler wants to do its own depends

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.